# Rclone Backups

A Docker-based system for automating encrypted backups via Rclone.

## Setting-Up Backups

Make a copy of the included `rclone.conf.template` file as `rclone.conf` and update the relevant fields. Use a long string for the encryption password.

Create a `docker-compose.yml` (or edit an existing) to add a block for the backup container:

```yaml
services:
  backup:
    image: wilw/rclone-backup
    volumes:
      - ./rclone.conf:/root/.config/rclone/rclone.conf
      - ./data/to/backup:/data/source
```

Bring up the service with `docker compose up -d`.

## Restore From Backups

Recreate the same `rclone.conf` file as described above and install `rclone` for your system.

Run the following command to backup from the remote repo:

```bash
rclone --config rclone.conf copy encrypted:/data ~/restore_dir
```
